- Qt 6.10
- Qt Core
- CMake Commands in Qt6 Core
- qt_add_binary_resources
- Qt 6.10.2 Reference Documentation

# qt_add_binary_resources

Creates an RCC file from a list of Qt resource files.

The command is defined in the `Core` component of the `Qt6` package, which can be loaded like so:

     find_package(Qt6 REQUIRED COMPONENTS Core)

This command was introduced in Qt 5.10.

## Synopsis

     qt_add_binary_resources(target file1.qrc [file2.qrc ...]
                             [DESTINATION ...]
                             [OPTIONS ...])

If versionless commands are disabled, use `qt6_add_binary_resources()` instead. It supports the same set of arguments as this command.

## Description

Adds a custom `target` that compiles Qt resource files into a binary `.rcc` file.

## Arguments

`DESTINATION` sets the path of the generated `.rcc` file. The default is `${CMAKE_CURRENT_BINARY_DIR}/${target}.rcc`.

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

     qt_add_binary_resources(resources project.qrc OPTIONS -no-compress)
     add_dependencies(myapp resources)